Groovy 1.7.0

## org.codehaus.groovy.runtime
Class ReflectionMethodInvoker

    java.lang.Object
      org.codehaus.groovy.runtime.ReflectionMethodInvoker

    class ReflectionMethodInvoker
    extends Object

Utility class to call methods through reflection, and falls through using the `Invoker` to call the method if it fails. The class is particularly useful for Groovy classes implementing `GroovyIntercpetable`, since it is not possible to call any method from this class, because it is intercepted by the `invokeMethod()` method.

author:
  Guillaume Laforge

Constructor Summary
`ReflectionMethodInvoker()`

Method Summary
`static Object` | `invoke(Object object, String methodName, Object[] parameters)` Invoke a method through reflection.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ReflectionMethodInvoker

    ReflectionMethodInvoker()

Method Detail

### invoke

    public static Object invoke(Object object, String methodName, Object[] parameters)

  Invoke a method through reflection. Falls through to using the Invoker to call the method in case the reflection call fails..
  param:
    object the object on which to invoke a method
  param:
    methodName the name of the method to invoke
  param:
    parameters the parameters of the method call
  return:
    the result of the method call

Copyright © 2003-2009 The Codehaus. All rights reserved.